#!perl                                                      #<HTML><PRE>
#
# Perl script file 'mod.pl' to modify FORTRAN77 source code files
#   'model.for', 'parm.for', 'val.for' and 'fit.for',
# containing the model routines required when solving forward
# problems, in order to yield FORTRAN77 source code files
#   'modelv.for', 'parmv.for', 'valv.for' and 'fitv.for',
# containing the model routines required when solving inverse
# problems.
#
  require 'go.pl';
#
  &RUN("clean","'model.for' 'modelv.for' '*V' '  ' /");
  &RUN("clean","'parm.for'  'parmv.for'  '*V' '  ' /");
  &RUN("clean","'val.for'   'valv.for'   '*V' '  ' /");
  &RUN("clean","'fit.for'   'fitv.for'   '*V' '  ' /");
#
# ----------------------------------------------------------------------
#
# 'model.for', 'parm.for', 'val.for' and 'fit.for' are used, e.g., by
# (A) the 'grid.for' program,
# (B) the 'sec.for' program,
# (C) the 'intf.for' program,
# (D) the complete ray tracing program.
#
# The derived files 'modelv.for', 'parmv.for', 'valv.for' and
# 'fitv.for' are used, e.g., by
# (I) the 'inv1.for' program of the CRT package, generating the
#     linearized system of equations for model parameters.
#
# The derived files 'modelv.for', 'parmv.for', 'valv.for' and
#     'fitv.for' have all the functionality of files 'model.for',
#     'parm.for', 'val.for' and 'fit.for' for the purposes of forward
#     modelling, and many inverse modelling functions on
#     the top of it if linked with 'var.for'.  On the other hand, are
#     slower.
# The derived files 'modelv.for', 'parmv.for', 'valv.for' and
#     'fitv.for' with 'varnul.for' instead of 'var.for' are
#     very close to 'model.for', 'parm.for', 'val.for' and 'fit.for'
#     in performance, see the table in the file 'var.for'.
#
# ======================================================================
1;                                                               #</PRE>
